> For the complete documentation index, see [llms.txt](https://docs.convai.com/api-docs/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/compatibility-and-requirements/character-rig-support.md).

# 角色骨骼支持

Convai Unreal Engine 插件通过 `UConvaiFaceSyncComponent`，它输出由 `EC_LipSyncMode` 枚举。Blendshape 模式输出 blendshape 通道； `VisemeBased` 模式输出 viseme 值。你选择的唇形同步模式决定兼容哪些骨骼类型。

### 支持的骨骼

| 骨骼类型                                                                                                                       | 唇形同步模式                                                                                                                        | 开箱即用     | 额外设置                                                                                                                                              |
| -------------------------------------------------------------------------------------------------------------------------- | ----------------------------------------------------------------------------------------------------------------------------- | -------- | ------------------------------------------------------------------------------------------------------------------------------------------------- |
| [MetaHuman](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/getting-started/set-up-a-metahuman-character.md) | `MetaHuman Blendshapes` (`BS_MHA`)                                                                                            | 是；这是默认模式 | 随附 `Convai_MetaHuman_BodyAnim` 是位于 `Convai_MetaHuman_FaceAnim` 包含动画蓝图                                                                             |
| [Reallusion Character Creator（CC4 和 CC5）](https://www.reallusion.com/auto-setup/unreal-engine/default.html)                | CC5： `MetaHuman Blendshapes` (`BS_MHA`）；CC4： `ARKit Blendshapes` (`BS_ARKit`）或 `CC4 Extended Blendshapes` (`BS_CC4_Extended`) | 没有       | 请遵循 [Reallusion 设置指南](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/getting-started/set-up-a-reallusion-cc-character.md) 进行动画蓝图设置 |
| 兼容 ARKit 的绑定                                                                                                               | `ARKit Blendshapes` (`BS_ARKit`)                                                                                              | 没有       | 配置 `LipSyncMode` 到 `BS_ARKit`；将 61 个 blendshape 通道连接到你的骨骼                                                                                         |
| 基于 viseme 的骨骼                                                                                                              | `基于 Viseme` (`VisemeBased`)                                                                                                   | 没有       | 配置 `LipSyncMode` 到 `VisemeBased`；将 15 个 OVR viseme 映射到你的骨骼                                                                                        |
| 单网格通用骨骼                                                                                                                    | `Auto` 或 `关闭`                                                                                                                 | 部分支持     | 未配置兼容模式时不会有面部动画                                                                                                                                   |

### MetaHuman 角色

MetaHuman 是默认的骨骼目标。插件随附 `Convai_MetaHuman_BodyAnim` 是位于 `Convai_MetaHuman_FaceAnim` 位于 `Content/MetaHumans/Animations/`，并设置 `LipSyncMode` 到 `BS_MHA` 默认为 `UConvaiFaceSyncComponent`。MetaHuman 设置无需单独下载动画蓝图。

该 `GetBodyAndFaceSkeletalMeshComponents` 实用函数（可由 Blueprint 调用，类别 `Convai|Utilities`）可解析身体和面部 `骨骼网格组件` 在类似 MetaHuman 的 `Actor` 会使用骨骼名称启发式自动解析。将面部网格与身体网格分开的 MetaHuman 骨骼可被正确处理。

请使用 MetaHuman 设置指南了解针对该骨骼的设置流程。

{% content-ref url="/pages/f0a9565e073a000fe0ed7df2961660e00793150b" %}
[设置 MetaHuman 角色](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/getting-started/set-up-a-metahuman-character.md)
{% endcontent-ref %}

{% embed url="<https://youtu.be/4fMCKkrfyaA>" %}
MetaHuman 角色设置步骤说明
{% endembed %}

### Reallusion Character Creator（CC4 和 CC5）

[Reallusion Character Creator](https://www.reallusion.com/auto-setup/unreal-engine/default.html) CC4 和 CC5 角色使用与 MetaHuman 设置不同的动画蓝图工作流。插件包含 `FixCC5LipsyncPostProcessBlendshapes` （可由 Blueprint 调用，类别 `Convai|LipSync`）用于对使用以下内容的 CC5 骨骼应用后处理修复 `ExpBoneData` 在其后处理动画实例中。

{% hint style="info" %}
Reallusion 设置使用单独的 Convai 动画蓝图。在将 CC4 或 CC5 角色分配到场景之前，请先遵循 Reallusion 设置指南。
{% endhint %}

分配 Reallusion 动画蓝图后，设置 `LipSyncMode` 在 `UConvaiFaceSyncComponent` 并根据骨骼版本附加到你的 CC 角色：使用 `MetaHuman Blendshapes` (`BS_MHA`）用于 CC5，以及 `ARKit Blendshapes` (`BS_ARKit`）用于 CC4。对于驱动扩展 Reallusion blendshape 集的 CC4 骨骼，请改用 `CC4 Extended Blendshapes` (`BS_CC4_Extended`）代替。

下载和动画蓝图分配步骤请使用 Reallusion 设置指南。

{% content-ref url="/pages/d29e5c59616e0066f5596223946116f5c08bc90d" %}
[设置 Reallusion（CC）角色](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/getting-started/set-up-a-reallusion-cc-character.md)
{% endcontent-ref %}

{% embed url="<https://www.youtube.com/watch?v=nyPNP-S92QI>" %}
Reallusion CC 角色设置步骤说明
{% endembed %}

### 兼容 ARKit 的绑定

任何暴露 ARKit 风格 blendshape 目标的骨骼都可以使用 `BS_ARKit` 模式。该模式下插件驱动 61 个 blendshape 通道：52 个标准 ARKit 面部目标，加上 9 个头部和眼球旋转通道（`HeadYaw`, `HeadPitch`, `HeadRoll`, `LeftEyeYaw`, `LeftEyePitch`, `LeftEyeRoll`, `RightEyeYaw`, `RightEyePitch`, `RightEyeRoll`）。设置 `LipSyncMode` 到 `ARKit Blendshapes` 在 `UConvaiFaceSyncComponent` 并将 blendshape 输出连接到你的骨骼动画蓝图。

### 基于 viseme 的骨骼

`VisemeBased` 模式输出 15 个 OVR viseme 值（名称为 `sil`, `PP`, `FF`, `TH`, `DD`, `kk`, `CH`, `SS`, `nn`, `RR`, `aa`, `E`, `ih`, `oh`, `ou`）。任何将这 15 个 viseme 名称映射到形态目标或骨骼姿势的骨骼都可以使用此模式。

### 骨骼检测实用工具

`GetBodyAndFaceSkeletalMeshComponents` 检查某个 `Actor`的 `骨骼网格组件` 引用，并使用骨骼名称启发式解析身体和面部网格。它处理：

* 只有一个骨骼网格的 Actor——该网格成为身体，面部输出为 `null`.
* 具有两个或更多骨骼网格的 Actor——每个网格都会根据身体标记骨骼（`pelvis`, `hand`, `neck`、手、颈部等）以及面部标记骨骼（`eye`, `jaw`, `brow`、下巴、眉毛等）；得分最高的网格获得对应角色。
* 没有骨骼网格组件的 Actor——两个输出都为 `null`.

此函数面向 MetaHuman 风格骨骼，但也能处理单网格和无法识别的骨骼而不会崩溃。

### 下一步

在确认骨骼支持后，请在安装或验证插件之前检查网络要求。

{% content-ref url="/pages/4b0adccfe599095ddce0cd91a25e2fc306475dff" %}
[网络和 API 要求](/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/compatibility-and-requirements/network-and-api-requirements.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.convai.com/api-docs/zh/cha-jian-yu-ji-cheng/convai-unreal-engine-plugin/compatibility-and-requirements/character-rig-support.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
